function R = sylforwol(F,cj,K)
% SYLvester resultant of order 'K' For the column 'cj' of 'F' column in WOLovich form
%    where F = [Dr ; Nr]

[n,m] = size(F);
p = n-m   ;          % p : number of rows of Dr
                    % m : number of columns of Dr

                    
%-------------------------------
for j=1:m
    f(:,1,j) = F(:,j);               % creation of the columns  fj(s)
    q(j) = maxdeg(f(:,:,j));         % q(j): the maximum degree of column j
end                                 % f  : symbolic matrix-column
                                    % fff: polynomial expression of matrix f                                                                       

fff(:,1,:) = sym2poly_m(f(:,1,:));   % 1st index : index of the row
                                     % 2nd index : 1 (because they are
                                     %                matrix of 1 column)
                                     % 3rd index : index of the column                                    
%------------------------------
for j=1:m
    for i=1:(p+m)      
        le = length(fff{i,1,j});
    
        for k=1:le
            ffff(i,1,j,k) = fff{i,1,j}(le+1-k);    % 4th index : number of the coefficient vector
        end
        
        if k<q(j)+1
            for mam=(k+1):q(j)+1
                ffff(i,1,j,mam) = 0;
            end
        end
    end
end
   
%---------------------------------------------
x = ffff(:,:,cj,1);
R1 = x;

for i=2:q(cj)+1  
    x = ffff(:,:,cj,i);
    R1 = [R1 x];
end

R=R1;
%---------------------------------------------
%---------------------------------------------

Midenikos = zeros(m+p,1);  % Matrix of zeros . Dimensions (m+p)x1

Rrow1 = R1;

for i=1:K-1
    Rrow1 = [Rrow1  Midenikos];
end

R = Rrow1;

for i=2:K
    Rrow = R1;
    
    for j=1:i-1
        Rrow = [Midenikos Rrow];
    end
    for j=1:K-i
        Rrow = [Rrow Midenikos];
    end
    
R = [R ; Rrow]; % R : The Sylvester Resultant of order K !!!
    
end    
