function R = sylvester(F,k)
% returns the SYLVESTER resultant of order 'k', of matrix 'F' 
%                                                where F = [Dr ; Nr]
[n,m] = size(F);
p = n-m;             % p : number of rows of Dr
                     % m : number of columns of Dr
q = maxdeg(F);

FF = sym2poly_m(F);

% -------------  analize FF to ' s^n*Fn + ... + s*F1 + F0 '


for i=1:(p+m)
    for j=1:m
        le = length(FF{i,j});
        for kk=1:le
            
            FFF(i,j,kk) = FF{i,j}(le+1-kk) ;
        end
        
        if kk<q
            for m=(kk+1):q
                FFF(i,j,m) = 0;
            end
        end
    end
end
            
for kk=1:q+1
    FFF(:,:,kk);
end

%------------------ Computation of the Sylvester Resultant of order k


R1 = FFF(:,:,1);

for i=2:(q+1)
    R1 = [R1 FFF(:,:,i)];
end

Midenikos = zeros(m+p,m);  % Matrix of zeros . Dimensions (m+p)xm

Rrow1 = R1;
for i=1:k-1
    Rrow1 = [Rrow1 Midenikos];
end

R = Rrow1;

for i=2:k
    
    Rrow = R1;
    for j=1:i-1
        Rrow = [Midenikos Rrow];
    end
    for j=1:k-i
        Rrow = [Rrow Midenikos];
    end
    
    R = [R ; Rrow]; % R : The Sylvester Resultant of order k !!!
    
end